Subject: bug#22083: 25.0.50; hg: adding tag enhances the rev, modeline does not reflect

From: Dmitry Gutov <[email-masked]>
Date: Sat, 5 Dec 2015 08:08:01 +0200

On 12/04/2015 02:02 PM, Uwe Brauer wrote:

> Ok I try to explain again what I find confusing:
>
> Here is what I did
>
> Command line
> hg init
> create and add file test.tex
> change comit 3 times
>
> hg log --template '{rev} {latesttag}.{latesttagdistance} {desc} {files}\n'
> 2 null.3 Com3 test.tex
> 1 null.2 Com2 test.tex
> 0 null.1 Com1 test.tex
> hg tag -r 2 v1
> hg log --template '{rev} {latesttag}.{latesttagdistance} {desc} {files}\n'
> 3 v1.1 Added tag v1 for changeset 649afdff7ebe .hgtags
> 2 v1.0 Com3 test.tex
> 1 null.2 Com2 test.tex
> 0 null.1 Com1 test.tex

Tagging a revision adds a new revision? That looks odd.

> hg kwexpand
> in the file
>
> $Id: test.tex,v v1.0[Hg:2] 2015/12/03 15:15:15 oub Exp oub $
>
> change and commit in Emacs
>
> \rcsInfo $Id: test.tex,v v1.2[Hg:4] 2015/12/03 15:19:49 oub Exp oub $
>
> so there is now a jump from Hg2 to Hg:4 which is annoying.

I wonder what's going on there.

Is it somehow caused by how we perform the commit in Emacs? Is the 
outcome different if you do the commit from the command line?

> Possible  solutions:
>
>      -  The modeline string shows what «hg log» shows as a rev.

Do you mean to add the revision hash after the revision number?

How will that change improve the situation with jumping revision 
numbers? Will it improve clarity somehow?